# com.google.android.exoplayer2.source.dash

## Interfaces

- DashChunkSource
- DashChunkSource.Factory
- DashSegmentIndex
- PlayerEmsgHandler.PlayerEmsgCallback

## Classes

- DashMediaSource
- DashMediaSource.Factory
- DashUtil
- DashWrappingSegmentIndex
- DefaultDashChunkSource
- DefaultDashChunkSource.Factory
- DefaultDashChunkSource.RepresentationHolder
- DefaultDashChunkSource.RepresentationSegmentIterator
- PlayerEmsgHandler

## Exceptions

- DashManifestStaleException